CompaniesCreate Company

Create Company

Create a new Company under a partner and an ATS integration. The authenticated partner becomes the owning partner of the resulting record.

curl -X POST "https://api.getkini.com/companies/" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "John Doe",
  "ats": "bullhorn",
  "partner_company_id": "example_string",
  "website": "example_string",
  "logo": "example_string",
  "primary_color": "example_string",
  "street": "example_string",
  "city": "New York",
  "country": "USA",
  "postcode": "example_string",
  "contact_name": "John Doe",
  "contact_email": "user@example.com",
  "contact_phone": "+1-555-0123",
  "fallback_job": 42
}'
{
  "id": 123,
  "name": "John Doe",
  "slug": "example_string",
  "ats": "bullhorn",
  "ats_name": "John Doe",
  "partner": 42,
  "partner_company_id": "example_string",
  "website": "example_string",
  "logo": "example_string",
  "primary_color": "example_string",
  "street": "example_string",
  "city": "New York",
  "country": "USA",
  "postcode": "example_string",
  "job_sync_active": true,
  "candidate_sync_active": true,
  "contact_name": "John Doe",
  "contact_email": "user@example.com",
  "contact_phone": "+1-555-0123",
  "jobs_last_synced_at": "2024-12-25T10:00:00Z",
  "fallback_job": 42,
  "status": "invited",
  "is_test": true,
  "magic_link": "example_string",
  "created_at": "2024-12-25T10:00:00Z",
  "updated_at": "2024-12-25T10:00:00Z"
}
POST
/companies/
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Bearer API Key Authentication. Include your API key in the Authorization header.

Bearer API Key Authentication. Include your API key in the Authorization header.
Content-Typestring
Required

The media type of the request body

Options: application/json
namestring
Required

Display name of the company

atsstring
Required

Slug of the ATS integration this company will be linked to (for example bullhorn or workday).

partner_company_idstring

External identifier of the company in the partner's system

websitestring

Company website URL

Format: uri
primary_colorstring

Hex color used to brand the company's job board

streetstring

Street address of the company

citystring

City of the company

countrystring

Country of the company

postcodestring

Postal code of the company

contact_namestring

Full name of the main point of contact

contact_emailstring

Email address of the main point of contact

Format: email
contact_phonestring

Phone number of the main point of contact

fallback_jobinteger

Kini ID of the job used as a fallback when the ATS export fails

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Bearer API Key Authentication. Include your API key in the Authorization header.

Body

application/json
namestring
Required

Display name of the company

atsstring
Required

Slug of the ATS integration this company will be linked to (for example bullhorn or workday).

Example:
bullhorn
partner_company_idstring

External identifier of the company in the partner's system

websitestring

Company website URL

primary_colorstring

Hex color used to brand the company's job board

streetstring

Street address of the company

citystring

City of the company

countrystring

Country of the company

postcodestring

Postal code of the company

contact_namestring

Full name of the main point of contact

contact_emailstring

Email address of the main point of contact

contact_phonestring

Phone number of the main point of contact

fallback_jobinteger

Kini ID of the job used as a fallback when the ATS export fails

Responses